/******************************************************************************
*******************************************************************************

	Space Impakto DS
	relminator
	http://rel.betterwebber.com


	Cglfont class


*******************************************************************************
******************************************************************************/

#include <nds.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "Cglsprite.h"
#include "Cgl2d.h"

#ifndef Cglfont__H
#define Cglfont__H

class Cglfont
{
	public:
	
	Cglfont();
	void init(Cglsprite *_font_sprite);
	void print(int x, int y, const char *text);
	void print(int x, int y, int value);
	void print_centered(int x, int y, const char *text);
	void print_centered(int x, int y, int value);
	void print_score(int x, int y, int value, const char *filler, int length);
	void print_spaced(int x, int y, const char *text, int x_space, s32 x_offset, s32 y_offset);
	void print_sine(int x, int y, const char *text, int width_offset, int height, int cycles, s32 start_angle);
	void print_vertical(int x, int y, const char *text);
	void print_spaced_vertical(int x, int y, const char *text, int x_space, s32 x_offset, s32 y_offset);
	void print_sine_vertical(int x, int y, const char *text, int height_offset, int _width, int cycles, s32 start_angle);
	
	private:
	Cglsprite 	*font_sprite;
	char		str[256];
	char		str2[256];
};




#endif

